Package org.eclipse.net4j.util

# Class CheckUtil

java.lang.Object
org.eclipse.net4j.util.CheckUtil

public final class CheckUtil extends Object
Provides static methods that check object states and invocation arguments.

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final boolean`
`HAS_DEBUGGER_ATTACHED`
`static final boolean`
`SANITIZE_TIMEOUT`

## Method Summary

Modifier and Type
Method
Description
`static void`
`checkArg(boolean expr, String msg)`
`static void`
`checkArg(Object handle, String handleName)`
`static void`
`checkNull(Object handle, String msg)`
`static void`
`checkState(boolean expr, String msg)`
`static void`
`checkState(Object handle, String handleName)`
`static void`
`countDown(String message)`
`static void`
`countUp(String message)`
`static long`
`sanitizeTimeout(long timeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### HAS_DEBUGGER_ATTACHED

public static final boolean HAS_DEBUGGER_ATTACHED

Since:
  3.7

### SANITIZE_TIMEOUT

public static final boolean SANITIZE_TIMEOUT

Since:
  3.7

## Method Details

### checkNull

public static void checkNull(Object handle, String msg) throws NullPointerException

Throws:
  `NullPointerException`

### checkArg

public static void checkArg(boolean expr, String msg) throws IllegalArgumentException

Throws:
  `IllegalArgumentException`

### checkArg

public static void checkArg(Object handle, String handleName) throws IllegalArgumentException

Throws:
  `IllegalArgumentException`

### checkState

public static void checkState(boolean expr, String msg) throws IllegalStateException

Throws:
  `IllegalStateException`

### checkState

public static void checkState(Object handle, String handleName) throws IllegalStateException

Throws:
  `IllegalStateException`

### countUp

public static void countUp(String message)

Since:
  3.6

### countDown

public static void countDown(String message)

Since:
  3.6

### sanitizeTimeout

public static long sanitizeTimeout(long timeout)

Since:
  3.7